package com.ruoyi.system.domain.req;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

public class LoginForMpReq implements Serializable {
    private static final long serialVersionUID = -5482485655738769622L;

    @NotBlank
    private String openId;

    @NotBlank
    private String name;

    @NotBlank
    private String phone;

    @NotBlank
    private String sex;

    /**
     * 出生年月日 yyyy-MM-dd
     */
    private String birth;

    private Integer height;

    private Integer weight;

    private String marriage;

    private String disease;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getBirth() {
        return birth;
    }

    public void setBirth(String birth) {
        this.birth = birth;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }
}
